{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"**This endpoint allows you to retrieve a paginated list of all assigned and unassigned IPs.**\n\nResponse includes warm up status, pools, assigned subusers, and reverse DNS info. The start_date field corresponds to when warmup started for that IP.\n\nA single IP address or a range of IP addresses may be dedicated to an account in order to send email for multiple domains. The reputation of this IP is determined by the aggregate performance of all email traffic sent from it.\n\nYou can use the `limit` query parameter to set the page size. If your list contains more items than the page size permits, you can make multiple requests. Use the `offset` query parameter to control the position in the list from which to start retrieving additional items.","properties":{"query":{"type":"object","properties":{"ip":{"type":"string","description":"The IP address to get"},"exclude_whitelabels":{"type":"boolean","description":"Should we exclude reverse DNS records (whitelabels)?"},"limit":{"type":"integer","minimum":1,"default":10,"description":"`limit` sets the page size, i.e. maximum number of items from the list to be returned for a single API request. If omitted, the default page size is used."},"offset":{"type":"integer","minimum":0,"default":0,"description":"The number of items in the list to skip over before starting to retrieve the items for the requested page. The default `offset` of `0` represents the beginning of the list, i.e. the start of the first page. To request the second page of the list, set the `offset` to the page size as determined by `limit`. Use multiples of the page size as your `offset` to request further consecutive pages. E.g. assume your page size is set to `10`. An `offset` of `10` requests the second page, an `offset` of `20` requests the third page and so on, provided there are sufficiently many items in your list."},"subuser":{"type":"string","description":"The subuser you are requesting for."},"sort_by_direction":{"allOf":[{"$ref":"#/definitions/SortByDirection"},{"type":"string"}],"description":"The direction to sort the results."}},"required":[],"additionalProperties":false}},"required":[],"additionalProperties":false,"definitions":{"SortByDirection":{"type":"string","enum":["desc","asc"]}}},"name":"Retrieve all IP addresses","id":"sendgrid.ips.listip","example":{},"maxRequests":1,"summary":false}}